Kodi Community Forum

Full Version: Retrospect v5.3.2 Video Add-On
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
I've dome some more testing.

The Skin problem is also in the Windows Version of XBMC Beta 3.
Only "Confluence" is working.
clandmeter Wrote:Hi,

Im trying to run xot on openelec.tv embedded XBMC. It installs just fine but when i try to run it, it won't start. The following is the error in xbmc log file:

Code:
01:06:44 T:140025243584272 M:1627291648  NOTICE: WebServer: GET | /xbmcCmds/xbmcHttp
01:06:44 T:140025069004560 M:1627291648  NOTICE: -->Python Interpreter Initialized<--
01:06:44 T:140025069004560 M:1627267072   ERROR: Error Type: <type 'exceptions.IOError'>
01:06:44 T:140025069004560 M:1627267072   ERROR: Error Contents: (10, 'No child processes')
01:06:44 T:140025069004560 M:1627267072   ERROR: Traceback (most recent call last):
                                              File "/storage/.xbmc/addons/net.rieter.xot/default.py", line 22, in <module>
                                                env = envController.GetEnvironment()
                                              File "/storage/.xbmc/addons/net.rieter.xot/resources/libs/envcontroller.py", line 30, in GetEnvironment
                                                (bits, type) = platform.architecture()
                                              File "./Lib/platform.py", line 1028, in architecture
                                              File "./Lib/platform.py", line 976, in _syscmd_file
                                            IOError: (10, 'No child processes')

I'm running the latest version of this script and openelec.tv. Is there a way to fix this?

Hey Bas,

I''m also having the same issue as clandmeter is having.

Do you have any plans upgrading the add-on to be compatible with python 2.6? could this be the issue of not being able to start xot-uzg in openelec?
Openelec always runs with the latest packages, so in case of python it runs (external?) 2.6.6

TIA!

Edit: You have my email address, so if you want me to help you testing some things then let me know Wink
athloni Wrote:I've dome some more testing.

The Skin problem is also in the Windows Version of XBMC Beta 3.
Only "Confluence" is working.

Right, you did not mention that! It's a know issue. Rename the PAL folder in the XOT\Resources\Skins\Default to 720p, that should fix it for the moment. XOT-Uzg.v3.2.2 will fix it!
cowbalt Wrote:Hey Bas,

I''m also having the same issue as clandmeter is having.

Do you have any plans upgrading the add-on to be compatible with python 2.6? could this be the issue of not being able to start xot-uzg in openelec?
Openelec always runs with the latest packages, so in case of python it runs (external?) 2.6.6

TIA!

Edit: You have my email address, so if you want me to help you testing some things then let me know Wink

Sounds like this issue: http://forum.xbmc.org/showthread.php?p=5...post586530. Could you try the solution pointed out in the post that follows that one?
Basje Wrote:Right, you did not mention that! It's a know issue. Rename the PAL folder in the XOT\Resources\Skins\Default to 720p, that should fix it for the moment. XOT-Uzg.v3.2.2 will fix it!

Thank!
Now it works (script) but the script is shown in a small part of the screen (upper left) using Live Beta3 + Back Row Skin.
Basje Wrote:Sounds like this issue: http://forum.xbmc.org/showthread.php?p=5...post586530. Could you try the solution pointed out in the post that follows that one?

Hey Bas,

Thanks for pointing that out. However, this is not the issue.
I am in real close contact with the dev of openelec, and it looks like it is related to python. He's using 2.6 in his distro where most add-ons only support 2.4

There's currently a discussion going around if xbmc has to support 2.6 too, but not sure what the status is right now. Some of the add-on devs have managed to support both now in order to let it run on openelec, and these work perfectly. Is there a chance xot will support this too in a near future?


Cheers.
athloni Wrote:Thank!
Now it works (script) but the script is shown in a small part of the screen (upper left) using Live Beta3 + Back Row Skin.

Correct! That is a known issue with XOT-Uzg.v3.2.1. It will be fixed in the 3.2.2 version somewhere next week.
Basje Wrote:Correct! That is a known issue with XOT-Uzg.v3.2.1. It will be fixed in the 3.2.2 version somewhere next week.

Bedankt Basje Smile
For alaska skin (in linux) i just renamed

.xbmc/addons/net.rieter.xot/resources/skins/Default/PAL
to .xbmc/addons/net.rieter.xot/resources/skins/Default/720p

got the small screen aswell, but ill wait for the update :>
Hey Bas,

We did some debugging, and for 99% we found the cause of the issue.
We first did some debugging and found in envcontroller.py the checker for the OS. This fails initially, so for our Linux we change the code to :
if env == "Linux":
return "Linux64"

Now, the script starts, but then it still fails so we did some further debugging.
Then we found that you use precompiled libs for Linux which are probably compiled for Ubuntu. We noticed that you call pysqlite2, which is not supported in python 2.5/2.6 anymore. From these version _sqlite3 is already included.

So basically, if you include a check if _sqlite3 is available, we think we should get this working. We also think you can even remove the sqlite libs from the addon, as most users can install this by themselves on a Linux system, if it is not already installed.
This makes the addon script even more compatible with other Linux distro's too.

The OpenELEC dev has said if you need any more info he was willing to let you know. He also mentioned that Amet from the subtitle scraper has managed python 2.6 support, so we could also ask him for some info.

cheerio
Cowbalt.
Thanks for all the information. So additional questions:

cowbalt Wrote:We did some debugging, and for 99% we found the cause of the issue.
We first did some debugging and found in envcontroller.py the checker for the OS. This fails initially, so for our Linux we change the code to :
if env == "Linux":
return "Linux64"

Now, the script starts, but then it still fails so we did some further debugging.
Because I need to keep backwards compatibility I also need to keep the Linux 32 bits working. Could you try this check instead (mind the whitespaces, they are messed up by the HTML):

Code:
if env == "Linux":
    if sys.maxint >> 33:
        # double check using the sys.maxint
        # and see if more than 32 bits are present
        return "Linux64"
    else:
        return "Linux"
Hopefully this can distinquish between 32 and 64 bits better.

cowbalt Wrote:Then we found that you use precompiled libs for Linux which are probably compiled for Ubuntu. We noticed that you call pysqlite2, which is not supported in python 2.5/2.6 anymore. From these version _sqlite3 is already included.

So basically, if you include a check if _sqlite3 is available, we think we should get this working. We also think you can even remove the sqlite libs from the addon, as most users can install this by themselves on a Linux system, if it is not already installed.
This makes the addon script even more compatible with other Linux distro's too.
The problem is that XOT should also work on Windows and XBox. There we don't have Python 2.5 and 2.6! So I do need the keep the SQLite2 in there. Perhaps I can check there for 3 and if that is found, use that one instead of 2. That should work, but I cannot test this, because I don't have a Linux or Linux 64 OS available.

cowbalt Wrote:The OpenELEC dev has said if you need any more info he was willing to let you know. He also mentioned that Amet from the subtitle scraper has managed python 2.6 support, so we could also ask him for some info.
I will have a speek at his code and keep you posted here.
Basje Wrote:Thanks for all the information. So additional questions:

Hey Bas,

What you could do I think (you know better because I am not a dev Tongue) is the following:

First check if Python 2.5 or newer is loaded, and skip the OS check because then most likely an external python is used (which is already installed 32 or 64 bit, so no need to check the OS). For python 2.4 check the OS the way you do now. Also import sqlite3 preferred over pysqlite2.

Just let me know if you need some beta tester I can do this for you.
OpenELEC also runs really well on USB stick, so if you have an ion system for example, you can just run it out of the box. And if you are close from Eindhoven, I can even bring you a preinstalled stick Tongue

Cheerio.
cowbalt Wrote:Hey Bas,

What you could do I think (you know better because I am not a dev Tongue) is the following:

First check if Python 2.5 or newer is loaded, and skip the OS check because then most likely an external python is used (which is already installed 32 or 64 bit, so no need to check the OS). For python 2.4 check the OS the way you do now. Also import sqlite3 preferred over pysqlite2.

Just let me know if you need some beta tester I can do this for you.
OpenELEC also runs really well on USB stick, so if you have an ion system for example, you can just run it out of the box. And if you are close from Eindhoven, I can even bring you a preinstalled stick Tongue

Cheerio.
I have test version for you. Could you let me know your mailadres via uitzendinggemist.vx[at]gmail[d0t]com, so I can mail it to you?
Hi,

Can you please add support for viasatondemand.se ?

BR Niclas
bitzer Wrote:Hi,

Can you please add support for viasatondemand.se ?

BR Niclas

Please create an enhancement request on the XOT Google Code page.